$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.44.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.44.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'FAF2642C10D77F0D1AAACB095EF8AC93D0D96CDF4FDE8F1021CEC54A5ED65252'
  checksumType = 'sha256'
  checksum64 = 'FAF2642C10D77F0D1AAACB095EF8AC93D0D96CDF4FDE8F1021CEC54A5ED65252'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.44-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
